//
// Written by Synplify Pro 
// Product Version "P-2019.03G"
// Program "Synplify Pro", Mapper "mapgw, Build 1450R"
// Mon Dec  9 10:09:09 2019
//
// Source file index table:
// Object locations will have the form <file>:<line>
// file 0 "\d:\gowin\gowin_v1.9.2.01beta\synplifypro\lib\generic\gw2a.v "
// file 1 "\d:\gowin\gowin_v1.9.2.01beta\synplifypro\lib\vlog\hypermods.v "
// file 2 "\d:\gowin\gowin_v1.9.2.01beta\synplifypro\lib\vlog\umr_capim.v "
// file 3 "\d:\gowin\gowin_v1.9.2.01beta\synplifypro\lib\vlog\scemi_objects.v "
// file 4 "\d:\gowin\gowin_v1.9.2.01beta\synplifypro\lib\vlog\scemi_pipes.svh "
// file 5 "\d:\gowin\gowin_v1.9.2.01beta\ide\ipcore\i2cmaster\data\i2c_master_top.v "
// file 6 "\d:\proj\scaler_example_design_live\project\src\i2c_master\temp\i2c_master\top_define.vh "
// file 7 "\d:\gowin\gowin_v1.9.2.01beta\ide\ipcore\i2cmaster\data\static_macro_define.vh "
// file 8 "\d:\gowin\gowin_v1.9.2.01beta\ide\ipcore\i2cmaster\data\i2c_master.vp "
// file 9 "\d:\gowin\gowin_v1.9.2.01beta\synplifypro\lib\nlconst.dat "

`timescale 100 ps/100 ps
`pragma protect begin_protected
`pragma protect version=1
`pragma protect author="default"
`pragma protect author_info="default"
`pragma protect encrypt_agent="Synplify encryptP1735.pl"
`pragma protect encrypt_agent_info="Synplify encryptP1735.pl Version 1.1"

`pragma protect encoding=(enctype="base64", line_length=76, bytes=256)
`pragma protect key_keyowner="Synplicity"
`pragma protect key_keyname="SYNP05_001"
`pragma protect key_method="rsa"
`pragma protect key_block
VaUnwg6dGA22JRhfTiI3DgDDFcL+GSRfgQZT3lYPKEMC/uz9Q9HPYV+8jPBhlgrMZ3V1qnRDLtXs
uoQHx8f4gLHH4llvnyeIij9OJfu/unuFot69SEFUkep7OG8EmnTXif1Nw7G2p219//iRRwo9tEId
1N9sbxAkjqXF+b8neIituPf3i/I0WIXX0vR85oWPQmectWsryWbJnqyzz1d5VfaXxvVw9ZfVPdr5
IeOgsgU/4JTph2FadtBcHET7CnK2DnP8z3brDlmxz68yXwYjl3ZDarR3W8/SUgj+KZFdmwXFEMXK
IDpfPbe+RoJtsoWjBUUPOue01Gbwmv97AiL3Ng==

`pragma protect encoding=(enctype="base64", line_length=76, bytes=256)
`pragma protect key_keyowner="GoWin"
`pragma protect key_keyname="GoWin001"
`pragma protect key_method="rsa"
`pragma protect key_block
ZtZJQScATvZvWSu6DLqANzjcBQJR4eJfVUf6scXZCxIA9qTX5nzOW+5A0s9xghPCscEG6U5Y/1SZ
Oh+gGrkqnBBdfO5tYXNm5AOIcbeoEsKUWlDWlqgoCxuz0EIIy4NYs7uXL8eNEOdXHi/tI+bZPgIk
2TDF4EnWPS9UnwWaXVBoYLzxLUHHY2P9z9cTCYxJYWbtVKmFDEwKvQJCZQyFptLOKn/VEpOzzPTK
H4oFl9Asr1ndGwv+AbawbXpKxeyzSNUQSI4hkvA9E/ZSGt+CtVhI7jkri0644IRAbaFfgZdqIp22
gg7TFHKCT06jOJD3gCzYLcRqbJWmdgFr7k1EPg==

`pragma protect data_keyowner="default-ip-vendor"
`pragma protect data_keyname="default-ip-key"
`pragma protect data_method="aes128-cbc"
`pragma protect encoding=(enctype="base64", line_length=76, bytes=60144)
`pragma protect data_block
[encoded data, 80180 characters]
7g2GF1siOJ2z
`pragma protect end_protected
module I2C_MASTER_Top (
  I_CLK,
  I_RESETN,
  I_TX_EN,
  I_WADDR,
  I_WDATA,
  I_RX_EN,
  I_RADDR,
  O_RDATA,
  O_IIC_INT,
  SCL,
  SDA
)
;
input I_CLK ;
input I_RESETN ;
input I_TX_EN ;
input [2:0] I_WADDR ;
input [7:0] I_WDATA ;
input I_RX_EN ;
input [2:0] I_RADDR ;
output [7:0] O_RDATA ;
output O_IIC_INT ;
inout SCL /* synthesis syn_tristate = 1 */ ;
inout SDA /* synthesis syn_tristate = 1 */ ;
wire I_CLK ;
wire I_RESETN ;
wire I_TX_EN ;
wire I_RX_EN ;
wire O_IIC_INT ;
wire SCL ;
wire SDA ;
wire GND ;
wire un1_sda_padoen_o ;
wire un1_scl_padoen_o ;
wire VCC ;
wire un1_scl_padoen_o_i ;
wire un1_sda_padoen_o_i ;
wire SDA_0 ;
wire SCL_0 ;
  GSR GSR_INST (
	.GSRI(VCC)
);
  INV un1_SDA_RNO (
	.I(un1_sda_padoen_o),
	.O(un1_sda_padoen_o_i)
);
  INV un2_SCL_RNO (
	.I(un1_scl_padoen_o),
	.O(un1_scl_padoen_o_i)
);
// @8:273
  IOBUF un2_SCL (
	.O(SCL_0),
	.IO(SCL),
	.I(GND),
	.OEN(un1_scl_padoen_o_i)
);
// @8:274
  IOBUF un1_SDA (
	.O(SDA_0),
	.IO(SDA),
	.I(GND),
	.OEN(un1_sda_padoen_o_i)
);
// @5:31
  \~i2c_master.I2C_MASTER_Top_  u_i2c_master (
	.I_CLK(I_CLK),
	.I_RESETN(I_RESETN),
	.I_TX_EN(I_TX_EN),
	.I_WADDR(I_WADDR[2:0]),
	.I_WDATA(I_WDATA[7:0]),
	.I_RX_EN(I_RX_EN),
	.I_RADDR(I_RADDR[2:0]),
	.O_RDATA(O_RDATA[7:0]),
	.O_IIC_INT(O_IIC_INT),
	.SCL(SCL_0),
	.SDA(SDA_0),
	.un1_sda_padoen_o(un1_sda_padoen_o),
	.un1_scl_padoen_o(un1_scl_padoen_o)
);
  GND GND_cZ (
	.G(GND)
);
  VCC VCC_cZ (
	.V(VCC)
);
endmodule /* I2C_MASTER_Top */

